Package org.jfree.layouting.renderer.process

## Class PaginationStep

- java.lang.Object
- - org.jfree.layouting.renderer.process.IterateVisualProcessStep
  - - org.jfree.layouting.renderer.process.PaginationStep

-     public class PaginationStep
      extends IterateVisualProcessStep

  Computes the pagination. This step checks, whether content crosses an inner or outer page boundary. In that case, the content is shifted downwards to the next page and then marked as sticky (so it wont move any further later; this prevents infinite loops).

  This kind of shifting does not apply to inline-elements - they get shifted when their linebox gets shifted.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PaginationStep​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `finishLine​(ParagraphPoolBox inlineRenderBox)` |
    `long` | `getNextOffset​()` |
    `boolean` | `performPagebreak​(LogicalPageBox pageBox)` |
    `protected void` | `processBlockLevelChild​(RenderNode node)` |
    `protected void` | `processBlockLevelNode​(RenderNode node)` |
    `protected void` | `processParagraphChilds​(ParagraphRenderBox box)` |
    `protected void` | `processTable​(TableRenderBox table)` |
    `protected boolean` | `startBlockLevelBox​(RenderBox box)` |
    `protected boolean` | `startInlineLevelBox​(RenderBox box)` |
    `protected boolean` | `startLine​(ParagraphPoolBox box)` |

    - ### Methods inherited from class org.jfree.layouting.renderer.process.IterateVisualProcessStep

      `finishBlockLevelBox, finishInlineLevelBox, processBoxChilds, processFlow, processInlineLevelChild, processInlineLevelNode, processOtherLevelChild, startProcessing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PaginationStep

          public PaginationStep​()

  - ### Method Detail

    - #### performPagebreak

          public boolean performPagebreak​(LogicalPageBox pageBox)

    - #### getNextOffset

          public long getNextOffset​()

    - #### startInlineLevelBox

          protected boolean startInlineLevelBox​(RenderBox box)

      Overrides:
        `startInlineLevelBox` in class `IterateVisualProcessStep`

    - #### processParagraphChilds

          protected void processParagraphChilds​(ParagraphRenderBox box)

      Specified by:
        `processParagraphChilds` in class `IterateVisualProcessStep`

    - #### processBlockLevelNode

          protected void processBlockLevelNode​(RenderNode node)

      Overrides:
        `processBlockLevelNode` in class `IterateVisualProcessStep`

    - #### processTable

          protected void processTable​(TableRenderBox table)

    - #### processBlockLevelChild

          protected void processBlockLevelChild​(RenderNode node)

      Overrides:
        `processBlockLevelChild` in class `IterateVisualProcessStep`

    - #### startBlockLevelBox

          protected boolean startBlockLevelBox​(RenderBox box)

      Overrides:
        `startBlockLevelBox` in class `IterateVisualProcessStep`

    - #### startLine

          protected boolean startLine​(ParagraphPoolBox box)

    - #### finishLine

          protected void finishLine​(ParagraphPoolBox inlineRenderBox)